---
- name: Gather facts from Graylog
  hosts: graylog
  user: centos
  become: True
  tasks:
    - setup:

    - name: Gather server certificate
      slurp:
        src: /etc/pki/ca-trust/source/anchors/CA.crt
      register: ca_cert

    - set_fact:
        graylog_cert: "{{ ca_cert.content | b64decode }}"

- name: syslog-with-server
  hosts: syslog
  become: True
  tasks:
    - name:
      set_fact:
        graylog_server: "{{ hostvars[groups['graylog'][0]]['ansible_eth0']['ipv4']['address'] }}"

    - include_role:
        name: ansible_role_syslog
      vars:
        syslog_sources:
          - name: messages
            type: file
            config: "\"/var/log/messages\" flags(no-parse)"
        syslog_destinations:
          - name: graylog
            type: syslog
            host: "{{ graylog_server }}"
            port: 1514
            transport: "tls"
            tls:
              crt: "{{ hostvars[groups['graylog'][0]]['graylog_cert'] }}"
        syslog_log_items:
          - source: messages
            destination: graylog
...
